View Issue Details

IDProjectCategoryView StatusLast Update
0000396SymmetricDSImprovementpublic2014-02-02 20:53
ReporterabrougherAssigned Togwilmer 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1.3 
Target Version3.3.2Fixed in Version3.3.2 
Summary0000396: Updates of primary keys are not captured on SQL Server
Descriptionhttps://sourceforge.net/projects/symmetricds/forums/forum/739236/topic/4363902
TagsNo tags attached.

Activities

chenson

2013-01-23 20:34

administrator   ~0000195

I can't find a good answer for this. We could use two cursors, but every forum post I find says order can't be trusted. I also can't find anyone who says the rows were actually out of order.

Eric, can you do some research and let me know your opinion?

Related Changesets

SymmetricDS: master 22e83370

2013-02-16 14:37:12

gwilmer

Details Diff
Issue 396 - Allow SQLServer update of primary keys to synchronize properly.
0000396
mod - symmetric-assemble/src/docbook/databases.xml Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2012-06-18 14:11 admin Target Version 3.1.0 =>
2013-01-10 18:56 chenson Reporter => abrougher
2013-01-10 18:56 chenson Fixed in Version 3.1.0 =>
2013-01-10 18:56 chenson Target Version => 3.3.0.pre.1
2013-01-12 14:48 chenson Target Version 3.3.0.pre.1 => 3.2.3
2013-01-23 20:34 chenson Note Added: 0000195
2013-01-23 20:34 chenson Assigned To => elong
2013-01-23 20:34 chenson Status new => assigned
2013-01-23 20:34 chenson Target Version 3.2.3 => 3.2.4
2013-01-29 20:55 chenson Target Version 3.2.4 => 3.3.0.pre.1
2013-01-29 20:56 chenson Target Version 3.3.0.pre.1 => 3.4.0
2013-02-13 08:14 chenson Assigned To elong => gwilmer
2013-02-16 14:36 gwilmer Resolution open => fixed
2013-02-16 14:36 gwilmer Fixed in Version => 3.3.2
2013-02-16 14:36 gwilmer Target Version 3.4.0 => 3.3.2
2013-02-18 18:52 chenson Status assigned => resolved
2013-02-26 07:56 chenson Status resolved => closed
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6874
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 22e83370